io.vertx.rxjava.ext.auth.mongo

## Class MongoAuthentication

- java.lang.Object
- - io.vertx.rxjava.ext.auth.authentication.AuthenticationProvider
  - - io.vertx.rxjava.ext.auth.mongo.MongoAuthentication

-     public class MongoAuthentication
      extends AuthenticationProvider

  An extension of AuthProvider which is using as store

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<MongoAuthentication>` | `__TYPE_ARG`
    `static String` | `DEFAULT_COLLECTION_NAME` The default name of the collection to be used
    `static String` | `DEFAULT_CREDENTIAL_PASSWORD_FIELD` The default name of the property for the password, like it is transported in credentials by method `AuthenticationProvider.authenticate(io.vertx.core.json.JsonObject, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.rxjava.ext.auth.User>>)`
    `static String` | `DEFAULT_CREDENTIAL_USERNAME_FIELD` The default name of the property for the username, like it is transported in credentials by method `AuthenticationProvider.authenticate(io.vertx.core.json.JsonObject, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.rxjava.ext.auth.User>>)`
    `static String` | `DEFAULT_PASSWORD_FIELD` The default name of the property for the password, like it is stored in mongodb
    `static String` | `DEFAULT_SALT_FIELD` The default name of the property for the salt field
    `static String` | `DEFAULT_USERNAME_FIELD` The default name of the property for the username, like it is stored in mongodb

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MongoAuthentication(MongoAuthentication delegate)`
    `MongoAuthentication(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MongoAuthentication` | `create(MongoClient mongoClient, HashStrategy hashStrategy, MongoAuthenticationOptions options)`
    `static MongoAuthentication` | `create(MongoClient mongoClient, MongoAuthenticationOptions options)` Creates an instance of MongoAuth by using the given and configuration object.
    `boolean` | `equals(Object o)`
    `MongoAuthentication` | `getDelegate()`
    `String` | `hash(String id, Map<String,String> params, String salt, String password)` Hashes a password to be stored.
    `String` | `hash(String id, String salt, String password)` Hashes a password to be stored.
    `int` | `hashCode()`
    `static MongoAuthentication` | `newInstance(MongoAuthentication arg)`
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava.ext.auth.authentication.AuthenticationProvider

      `authenticate, authenticate, authenticate, authenticate, newInstance, rxAuthenticate, rxAuthenticate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MongoAuthentication> __TYPE_ARG

    - #### DEFAULT_COLLECTION_NAME

          public static final String DEFAULT_COLLECTION_NAME

      The default name of the collection to be used
      See Also:
        Constant Field Values

    - #### DEFAULT_USERNAME_FIELD

          public static final String DEFAULT_USERNAME_FIELD

      The default name of the property for the username, like it is stored in mongodb
      See Also:
        Constant Field Values

    - #### DEFAULT_PASSWORD_FIELD

          public static final String DEFAULT_PASSWORD_FIELD

      The default name of the property for the password, like it is stored in mongodb
      See Also:
        Constant Field Values

    - #### DEFAULT_CREDENTIAL_USERNAME_FIELD

          public static final String DEFAULT_CREDENTIAL_USERNAME_FIELD

      The default name of the property for the username, like it is transported in credentials by method `AuthenticationProvider.authenticate(io.vertx.core.json.JsonObject, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.rxjava.ext.auth.User>>)`
      See Also:
        Constant Field Values

    - #### DEFAULT_CREDENTIAL_PASSWORD_FIELD

          public static final String DEFAULT_CREDENTIAL_PASSWORD_FIELD

      The default name of the property for the password, like it is transported in credentials by method `AuthenticationProvider.authenticate(io.vertx.core.json.JsonObject, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.rxjava.ext.auth.User>>)`
      See Also:
        Constant Field Values

    - #### DEFAULT_SALT_FIELD

          public static final String DEFAULT_SALT_FIELD

      The default name of the property for the salt field
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MongoAuthentication

          public MongoAuthentication(MongoAuthentication delegate)

    - #### MongoAuthentication

          public MongoAuthentication(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AuthenticationProvider`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `AuthenticationProvider`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AuthenticationProvider`

    - #### getDelegate

          public MongoAuthentication getDelegate()

      Overrides:
        `getDelegate` in class `AuthenticationProvider`

    - #### create

          public static MongoAuthentication create(MongoClient mongoClient,
                                                   MongoAuthenticationOptions options)

      Creates an instance of MongoAuth by using the given and configuration object.
      Parameters:
        `mongoClient` - an instance of to be used for data storage and retrival
        `options` - the configuration object for the current instance.
      Returns:
        the created instance of `MongoAuthentication`

    - #### create

          public static MongoAuthentication create(MongoClient mongoClient,
                                                   HashStrategy hashStrategy,
                                                   MongoAuthenticationOptions options)

    - #### hash

          public String hash(String id,
                             Map<String,String> params,
                             String salt,
                             String password)

      Hashes a password to be stored. See: `HashingStrategy.hash(java.lang.String, java.util.Map<java.lang.String, java.lang.String>, java.lang.String, java.lang.String)`
      Parameters:
        `id` -
        `params` -
        `salt` -
        `password` -
      Returns:

    - #### hash

          public String hash(String id,
                             String salt,
                             String password)

      Hashes a password to be stored. See: `HashingStrategy.hash(java.lang.String, java.util.Map<java.lang.String, java.lang.String>, java.lang.String, java.lang.String)`
      Parameters:
        `id` -
        `salt` -
        `password` -
      Returns:

    - #### newInstance

          public static MongoAuthentication newInstance(MongoAuthentication arg)

Copyright © 2021 Eclipse. All rights reserved.